Subject: Re: [PATCH 4/5] ARM: dts: rockchip: Add Radxa Carrier board

From: Heiko Stübner <[email-masked]>
Date: Wed, 20 Nov 2019 14:53:39 +0100

Hi Jagan,

Am Mittwoch, 20. November 2019, 14:45:35 CET schrieb Jagan Teki:
> On Wed, Nov 20, 2019 at 6:55 PM Heiko Stübner <[email-masked]> wrote:
> > Am Mittwoch, 20. November 2019, 12:39:22 CET schrieb Jagan Teki:
> > > Carrier board often referred as baseboard. For making
> > > complete SBC, the associated SOM will mount on top of
> > > this carrier board.
> > >
> > > Radxa has a carrier board which supports on board
> > > peripherals, ports like USB-2.0, USB-3.0, HDMI, MIPI DSI/CSI,
> > > eDP, Ethernet, PCIe, USB-C, 40-Pin GPIO header and etc.
> > >
> > > Currently this carrier board can be used together with
> > > VMARC RK3399Por SOM for making Rock PI N10 SBC.
> > >
> > > So add this carrier board dtsi as a separate file in
> > > ARM directory, so-that the same can reuse it in both
> > > arm32 and arm64 variants of Rockchip SOMs.
> >
> > Do you really think someone will create an arm32 soc using that
> > carrier board?
> 
> Yes, we have Rock Pi N8 which is using same carrier board design with
> (+ external codec) on top of RK3288 SOM. I didn't mentioned on the
> commit message since radxa doesn't officially announced on the
> website.
> 
> >
> > Similarly so far I don't think we haven't even seen a lot of reuse
> > of existing carrier boards at all, other than their initial combination.
> >
> > So maybe just having the content of your
> >         rockchip-radxa-carrierboard.dtsi
> > in
> >         rockchip/rk3399pro-rock-pi-n10.dts
> > from patch 5 might be a better start - at least until there is any
> > further usage - if at all?
> 
> But, this particular design has proper use case.
> 1. rk3399pro SOM + carrier board (Rock Pi N10)
> 2. rk3288 SOM + carrier board (Rock Pi N8)
> 
> >
> > Also rockchip-radxa-carrierboard might even be overly generic
> > as there may be multiple carrierboards from Radxa later on.
> 
> I'm slightly disagree of having overlay here, since these are fixed
> design combinations. where SOM with respective carrier board is
> mandatory to make final board. Understand that we can have a
> maintenance over-ahead if we have multiple carrier boards, but right
> now radxa has only one carrier board with 2 sets of SOM's combinations
> that indeed fit like a dev board, so there is unused carrier board.

All is good ... with that information from above (rk3288) this definitly
makes more sense :-)

The naming of the file is still a tiny struggle though. Does this board
maybe have some actual product name or is it really just called
"carrierboard"? :-)

Thanks
Heiko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel